Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Related Pages
- Examples

- Class List
- Class Hierarchy
- Class Members

# openvrml::coordinate_node Class Reference

`#include <openvrml/node.h>`

Inheritance diagram for openvrml::coordinate_node:

[legend]

List of all members.

## Detailed Description

Abstract base class for coordinate nodes.

## Public Member Functions

virtual | ~coordinate_node ()=0 throw ()
| Destroy.
virtual const std::vector < vec3f > & | point () const =0 throw ()
| Get the points encapsulated by this node.

## Protected Member Functions

| coordinate_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope) throw ()
| Construct.

## Private Member Functions

virtual coordinate_node * | to_coordinate () throw ()
| Cast to a `coordinate_node`.

## Constructor & Destructor Documentation

openvrml::coordinate_node::~coordinate_node | ( |  | ) | throw ()`[pure virtual]`

Destroy.

openvrml::coordinate_node::coordinate_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope |
| ) |  |  | throw ()`[protected]`

Construct.

Parameters:

  `[in]` | type | the `node_type` associated with the `node`.
  `[in]` | scope | the `scope` the `node` belongs to.

## Member Function Documentation

const std::vector< openvrml::vec3f > & openvrml::coordinate_node::point | ( |  | ) | const throw ()`[pure virtual]`

Get the points encapsulated by this node.

Returns:
  the array of points for this node.

openvrml::coordinate_node * openvrml::coordinate_node::to_coordinate | ( |  | ) | throw ()`[private, virtual]`

Cast to a `coordinate_node`.

Returns:
  a pointer to this `coordinate_node`.

Reimplemented from openvrml::node.